import { EventEmitter } from "@angular/core";
import { UntypedFormGroup } from "@angular/forms";
import { NgbDatepicker, NgbDatepickerConfig } from "@ng-bootstrap/ng-bootstrap";
import { DynamicDatePickerModel, DynamicFormControlComponent, DynamicFormControlLayout, DynamicFormLayout, DynamicFormLayoutService, DynamicFormValidationService } from "@danielhokanson/ng-dynamic-forms-core";
import * as i0 from "@angular/core";
export declare class DynamicNGBootstrapCalendarComponent extends DynamicFormControlComponent {
    protected layoutService: DynamicFormLayoutService;
    protected validationService: DynamicFormValidationService;
    config: NgbDatepickerConfig;
    formLayout?: DynamicFormLayout;
    group: UntypedFormGroup;
    layout?: DynamicFormControlLayout;
    model: DynamicDatePickerModel;
    blur: EventEmitter<any>;
    change: EventEmitter<any>;
    focus: EventEmitter<any>;
    ngbCalendar: NgbDatepicker;
    constructor(layoutService: DynamicFormLayoutService, validationService: DynamicFormValidationService, config: NgbDatepickerConfig);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicNGBootstrapCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicNGBootstrapCalendarComponent, "dynamic-ng-bootstrap-calendar", never, { "formLayout": { "alias": "formLayout"; "required": false; }; "group": { "alias": "group"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "model": { "alias": "model"; "required": false; }; }, { "blur": "blur"; "change": "change"; "focus": "focus"; }, never, never, true, never>;
}
