import { ChangeDetectorRef, EventEmitter, QueryList } from "@angular/core";
import { UntypedFormGroup } from "@angular/forms";
import { DynamicFormComponent, DynamicFormComponentService, DynamicFormControlEvent, DynamicFormLayout, DynamicFormModel, DynamicTemplateDirective } from "@danielhokanson/ng-dynamic-forms-core";
import { DynamicNGBootstrapFormControlContainerComponent } from "./dynamic-ng-bootstrap-form-control-container.component";
import * as i0 from "@angular/core";
export declare class DynamicNGBootstrapFormComponent extends DynamicFormComponent {
    protected changeDetectorRef: ChangeDetectorRef;
    protected componentService: DynamicFormComponentService;
    group: UntypedFormGroup;
    model: DynamicFormModel;
    layout?: DynamicFormLayout;
    blur: EventEmitter<DynamicFormControlEvent>;
    change: EventEmitter<DynamicFormControlEvent>;
    focus: EventEmitter<DynamicFormControlEvent>;
    ngbEvent: EventEmitter<DynamicFormControlEvent>;
    templates: QueryList<DynamicTemplateDirective>;
    components: QueryList<DynamicNGBootstrapFormControlContainerComponent>;
    constructor(changeDetectorRef: ChangeDetectorRef, componentService: DynamicFormComponentService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicNGBootstrapFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicNGBootstrapFormComponent, "dynamic-ng-bootstrap-form", never, { "group": { "alias": "group"; "required": false; }; "model": { "alias": "model"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; }, { "blur": "blur"; "change": "change"; "focus": "focus"; "ngbEvent": "ngbEvent"; }, ["templates"], never, true, never>;
}
