import { EventEmitter } from "@angular/core";
import { UntypedFormGroup } from "@angular/forms";
import { NgbRating, NgbRatingConfig } from "@ng-bootstrap/ng-bootstrap";
import { DynamicFormControlComponent, DynamicFormControlCustomEvent, DynamicFormControlLayout, DynamicFormLayout, DynamicFormLayoutService, DynamicFormValidationService, DynamicRatingModel } from "@danielhokanson/ng-dynamic-forms-core";
import * as i0 from "@angular/core";
export declare class DynamicNGBootstrapRatingComponent extends DynamicFormControlComponent {
    protected layoutService: DynamicFormLayoutService;
    protected validationService: DynamicFormValidationService;
    config: NgbRatingConfig;
    formLayout?: DynamicFormLayout;
    group: UntypedFormGroup;
    layout?: DynamicFormControlLayout;
    model: DynamicRatingModel;
    blur: EventEmitter<any>;
    change: EventEmitter<any>;
    customEvent: EventEmitter<DynamicFormControlCustomEvent>;
    focus: EventEmitter<any>;
    ngbRating: NgbRating;
    constructor(layoutService: DynamicFormLayoutService, validationService: DynamicFormValidationService, config: NgbRatingConfig);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicNGBootstrapRatingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicNGBootstrapRatingComponent, "dynamic-ng-bootstrap-rating", never, { "formLayout": { "alias": "formLayout"; "required": false; }; "group": { "alias": "group"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "model": { "alias": "model"; "required": false; }; }, { "blur": "blur"; "change": "change"; "customEvent": "customEvent"; "focus": "focus"; }, never, never, true, never>;
}
